import { symbol, Phases } from './constants';

var setSecretsManager = function setSecretsManager(_ref, secretsManager) {
  var promise = _ref.promise;

  if (promise[symbol].phase !== Phases.GIVEN_EVENTS) {
    throw new TypeError();
  }

  promise[symbol].secretsManager = secretsManager;
  return promise;
};

export default setSecretsManager;
//# sourceMappingURL=set-secrets-manager.js.map