"use strict";

exports.__esModule = true;
exports.command = void 0;

var _constants = require("./constants");

var command = function command(context, name, payload) {
  if (context[_constants.symbol].phase !== _constants.Phases.AGGREGATE) {
    throw new TypeError();
  }

  context[_constants.symbol].phase = _constants.Phases.COMMAND;
  context[_constants.symbol].command = {
    name: name,
    payload: payload
  };
  return context;
};

exports.command = command;
//# sourceMappingURL=command.js.map