"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _constants = require("./constants");

var saga = function saga(_ref, _ref2) {
  var promise = _ref.promise;
  var handlers = _ref2.handlers,
      sideEffects = _ref2.sideEffects,
      adapter = _ref2.adapter,
      _ref2$name = _ref2.name,
      name = _ref2$name === void 0 ? 'TEST-SAGA-READ-MODEL' : _ref2$name;

  if (promise[_constants.symbol].phase !== _constants.Phases.GIVEN_EVENTS) {
    throw new TypeError();
  }

  promise[_constants.symbol].handlers = handlers != null ? handlers : {};
  promise[_constants.symbol].sideEffects = sideEffects != null ? sideEffects : {};
  promise[_constants.symbol].adapter = adapter;
  promise[_constants.symbol].name = name;
  promise[_constants.symbol].phase = _constants.Phases.SAGA;
  return promise;
};

var _default = saga;
exports["default"] = _default;
//# sourceMappingURL=saga.js.map