import { CommandResult } from '@resolve-js/core';
import { Phases, symbol } from './constants';
export declare type BDDAggregateAssertion = (resolve: Function, reject: Function, result: CommandResult | null, error: any) => void;
declare type BDDAggregateAssertionState = {
    phase: Phases;
    assertion: BDDAggregateAssertion;
    isDefaultAssertion: boolean;
};
declare type BDDAggregateAssertionContext = {
    [symbol]: BDDAggregateAssertionState;
};
export declare const shouldProduceEvent: (context: BDDAggregateAssertionContext, expectedEvent: CommandResult) => BDDAggregateAssertionContext;
export declare const shouldThrow: (context: BDDAggregateAssertionContext, expectedError: any) => BDDAggregateAssertionContext;
export {};
