import { Aggregate, AggregateEncryptionFactory, AggregateProjection } from '@resolve-js/core';
import { symbol, Phases } from './constants';
import { BDDAggregateAssertion } from './aggregate-assertions';
export declare type BDDAggregate = {
    name: string;
    projection: AggregateProjection;
    commands: Aggregate;
    encryption?: AggregateEncryptionFactory;
};
declare type BDDAggregateContext = {
    [symbol]: {
        phase: Phases;
        aggregate: BDDAggregate;
        aggregateId: string;
        assertion: BDDAggregateAssertion;
        isDefaultAssertion: boolean;
    };
};
export declare const aggregate: (context: BDDAggregateContext, aggregate: BDDAggregate, aggregateId?: string | undefined) => any;
export {};
