"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _constants = require("./constants");

var properties = function properties(_ref, sagaProperties) {
  var promise = _ref.promise;

  if (promise[_constants.symbol].phase !== _constants.Phases.SAGA) {
    throw new TypeError();
  }

  promise[_constants.symbol].properties = (0, _extends2["default"])({}, promise[_constants.symbol].properties, sagaProperties);
  promise[_constants.symbol].phase = _constants.Phases.PROPERTIES;
  return promise;
};

var _default = properties;
exports["default"] = _default;
//# sourceMappingURL=properties.js.map