import { symbol, Phases } from './constants';
import { SerializableMap } from '@resolve-js/core';
declare type BDDCommandContext = {
    [symbol]: {
        phase: Phases;
        command: {
            name: string;
            payload?: SerializableMap;
        };
    };
};
export declare const command: (context: BDDCommandContext, name: string, payload?: SerializableMap | undefined) => BDDCommandContext;
export {};
